Navigation
News
Contacts
Servers online: 42
|
API ReferenceAuthenticationAll requests go through Keystone. To obtain a token: curl -s -X POST https://<panel-address>/identity/v3/auth/tokens \
-H "Content-Type: application/json" \
-d '{
"auth": {
"identity": {
"methods": ["password"],
"password": {
"user": {"name": "demo", "password": "...", "domain": {"name": "Default"}}
}
}
}
}'
The token is returned in the OpenStack services
Billing APIThe open billing API (version v1) provides access to charges, tariffs and documents:
# example: fetching project invoices curl -H "X-Auth-Token: $TOKEN" \ "https://<panel-address>/api/v1/billing/invoices?project=demo&period=2026-10" Rate limitsRequests are limited to 200 calls per minute per user. When the limit is
exceeded, the API returns |
|||||||||||||||||||||||||||||||||